Subject: Re: Stitching together private svn repo and public git repo

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Jan 2008 09:24:31 -0800

I suspect your message was linewrapped by your MUA and ...

Gregory Jefferis <[email-masked]> writes:

> ...
> # set up the grafts
> cat > .git/info/grafts <<EOF
> # connect r2 of git-svn to v1.86 of nm-ucl
> # r1 (which was an identical initial import) will now be detached (and
> forgotten)
> 52b1933421ef524811407fa4c240da58ceec5749
> eca3db14fcf25744fdf585456f03599a9db2af96
> #
> # Make fake merge with Neuromatic v1.91b
> # svn-manualmerge1 svn-manualmerge1~1 public-v1.91b
> 120282ee5275027312dde386c8995218f361cf35
> 0962cb27f7ad92f44def04630e8e6a22b86e0699
> 6735057f53dd57248c7ec23f6ae9f22085d98fba
> EOF
>
> # running git-status seems to stop git thinking that the working dir is
> dirty
> git-status
> ...

... your grafts file look as if you are marking five commits as
root commits, which is not what you wanted ;-).

The reason I mention this is because I think with a bit more
polishing and some background description your message is a good
material to add to Documentation/howto/.